#
# spec file for package python-qrcode
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-qrcode
Version:        5.3
Release:        lp150.1.4
Summary:        QR Code image generator
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/lincolnloop/python-qrcode
Source:         https://files.pythonhosted.org/packages/source/q/qrcode/qrcode-%{version}.tar.gz
BuildRequires:  %{python_module Pillow}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-setuptools
Recommends:     python-Pillow
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
This module uses the Python Imaging Library (PIL) to allow for the generation
of QR Codes.

%prep
%setup -q -n qrcode-%{version}
# drop shebang from console_scripts
sed -i '1s@^#!.*@@' qrcode/console_scripts.py

%build
%python_build

%install
%python_install
%fdupes %{buildroot}%{_prefix}

%check
%python_exec -m pytest -s qrcode

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE README.rst
%python3_only %{_bindir}/qr
%python3_only %{_mandir}/man1/qr.1%{?ext_man}
%{python_sitelib}/*

%changelog
* Tue Jun 27 2017 jmatejek@suse.com
- pass -s to pytest, to work around bad interaction with older pytest
* Mon Jun  5 2017 jmatejek@suse.com
- convert to singlespec
- make binary python3-only
- enable tests
- add proper requirements (fixes boo#1040540)
- update to 5.3
  * better support for tty output in python3
  * --error-correction option
  * fix incomplete block table for QR version 15
  * fix BaseImage.get_image
* Sat Aug 22 2015 bruno@ioda-net.ch
- Make qr binary alternative ready (preparing for python3 packaging)
- man1 & qr alternative -py_ver to avoid conflict with python3
- Fix console_script.py missing +x
* Fri Jun  5 2015 hguo@suse.com
- Since factory project cannot make use of download_file service, the package
  no longer needs _service file to build.
* Mon Jun  1 2015 hguo@suse.com
- Upgrade to upstream release 5.1, accumulated changes:
  * Make qr script work in Windows. Thanks Ionel Cristian Mărieș
  * Fixed print_ascii function in Python 3.
  * Out-of-bounds code version numbers are handled more consistently with a ValueError.
  * Much better test coverage (now only officially supporting Python 2.6+)
  * Speed optimizations.
  * Change the output when using the qr script to use ASCII rather than just colors, better using the terminal real estate.
  * Fix a bug in passing bytecode data directly when in Python 3.
  * Substation speed optimizations to best-fit algorithm (thanks Jacob Welsh!).
  * Introduce a print_ascii method and use it as the default for the qr script rather than print_tty.
  * Update version numbers correctly.
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 4.0.4
  + Bad version number for previous hotfix release.
- Changes from version 4.0.3
  + Fix bad QR code generation due to the regex comma fix in version 4.0.2.
- Changes from version 4.0.2
  + Fix incorrect regex causing a comma to be considered part of the
    alphanumeric set.
- Add python-setuptools BuildRequires
* Wed Oct 23 2013 axel.braun@gmx.de
- update to 4.0.1
* Wed Aug  7 2013 prusnak@opensuse.org
- updated to 3.0
* Sat May 18 2013 prusnak@opensuse.org
- updated to 2.7
* Fri Mar 29 2013 prusnak@opensuse.org
- updated to 2.5.1
* Sun Mar 17 2013 prusnak@opensuse.org
- updated to 2.5
* Sat Dec 15 2012 prusnak@opensuse.org
- created package (version 2.4.2)
